/**
 * @overview Life of German Reallife - Gui ahelp
 * @author MichaPlays
 * @copyright (c) 2008 - 2021 Life of German
 */

export default function ahelp(globalData: IGlobalData): void {

    var ahelpBrowser: BrowserMp = null;

    mp.events.add("showAhelp", () => {

        if (ahelpBrowser !== null) {
            ahelpBrowser.destroy();
            ahelpBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);
        }
        else if (!globalData.InMenu) {
            globalData.InMenu = true;
            ahelpBrowser = mp.browsers.new('package://assets/html/helpcommand/ahelp.html');
            mp.gui.chat.activate(false);
            mp.gui.cursor.show(true, true);
        }
    });

    mp.events.add("removeAhelp", () => {

        if (ahelpBrowser == null) {
            return;
        }
        else if (globalData.InMenu) {
            ahelpBrowser.destroy();
            ahelpBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);
        }
    });

    mp.events.add("showShelp", () => {

        if (ahelpBrowser !== null) {
            ahelpBrowser.destroy();
            ahelpBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);
        }
        else if (!globalData.InMenu) {
            globalData.InMenu = true;
            ahelpBrowser = mp.browsers.new('package://assets/html/helpcommand/shelp.html');
            mp.gui.chat.activate(false);
            mp.gui.cursor.show(true, true);

        }
    });
}